Loading...
Searching...
No Matches
viz.h File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <sys/types.h>`
Include dependency graph for viz.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | cmndln_info
struct | file_info
struct | poly_info
struct | cube_info
struct | Cube_data
struct | CELL_ENTRY

## Macros

#define | GRID_ID "grid003.02"
#define | DSPF_ID "dspf003.02"
#define | LINTERP(A, B, C)
#define | VOID_TYPE char
#define | FLINTERP(A, B, C, D, E)
#define | NV(A, B, C)
#define | MAXLITS 3
#define | MAXTHRESH 127
#define | MAXPOLY 10
#define | GRASS_DSPF_EXPORT

## Functions

int | write_cube (Cube_data *, int, file_info *)
int | write_cube_buffer (unsigned char *, int, int, file_info *)
int | read_cube (Cube_data *, file_info *)
int | my_fread (char *, int, int, FILE *)
int | reset_reads (file_info *)
int | new_dspf (file_info *)
int | dfwrite_header (file_info *)
int | dfread_header (file_info *)
int | dfread_header_old (file_info *, FILE *)
int | print_head_info (file_info *)
int | struct_copy (char *, char *, int)

## Variables

CELL_ENTRY | cell_table []

## Macro Definition Documentation

## DSPF_ID

#define DSPF_ID "dspf003.02"

Definition at line 6 of file viz.h.

Referenced by dfread_header(), and dfwrite_header().

## FLINTERP

#define FLINTERP | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E )

Value:
(((C - A) * (E - D)) / (B - A)) + D
D
#define D
Definition intersect.c:72

Definition at line 11 of file viz.h.

## GRASS_DSPF_EXPORT

#define GRASS_DSPF_EXPORT

Definition at line 96 of file viz.h.

## GRID_ID

#define GRID_ID "grid003.02"

Definition at line 5 of file viz.h.

## LINTERP

#define LINTERP | ( |  | A,
|  |  | B,
|  |  | C )

Value:
((C - A) / (B - A)) * 255

Definition at line 8 of file viz.h.

## MAXLITS

#define MAXLITS 3

Definition at line 16 of file viz.h.

## MAXPOLY

#define MAXPOLY 10

Definition at line 19 of file viz.h.

## MAXTHRESH

#define MAXTHRESH 127

Definition at line 18 of file viz.h.

## NV

#define NV | ( |  | A,
|  |  | B,
|  |  | C )

Value:
((A * A) + (B * B) + (C * C))

Definition at line 15 of file viz.h.

## VOID_TYPE

#define VOID_TYPE char

Definition at line 9 of file viz.h.

## Function Documentation

## dfread_header()

int dfread_header | ( | file_info * | headp | ) |

Definition at line 85 of file dspf_header.c.

References file_info::Dataoff, dfread_header_old(), DSPF_ID, file_info::dspfinfp, file_info::linefax, cmndln_info::litmodel, file_info::Lookoff, file_info::max, file_info::min, cmndln_info::nthres, print_head_info(), cmndln_info::tvalue, file_info::xdim, file_info::ydim, and file_info::zdim.

## dfread_header_old()

int dfread_header_old | ( | file_info * | headp,
|  | FILE * | fp )

Definition at line 139 of file dspf_header.c.

References file_info::Dataoff, file_info::linefax, cmndln_info::litmodel, file_info::Lookoff, file_info::max, file_info::min, cmndln_info::nthres, print_head_info(), cmndln_info::tvalue, file_info::xdim, file_info::ydim, and file_info::zdim.

Referenced by dfread_header().

## dfwrite_header()

int dfwrite_header | ( | file_info * | headp | ) |

Definition at line 7 of file dspf_header.c.

References file_info::Dataoff, DSPF_ID, file_info::dspfoutfp, G_ftell(), file_info::linefax, cmndln_info::litmodel, file_info::Lookoff, file_info::max, file_info::min, cmndln_info::nthres, cmndln_info::tvalue, file_info::xdim, file_info::ydim, and file_info::zdim.

## my_fread()

int my_fread | ( | char * | buf,
|  | int | size,
|  | int | cnt,
|  | FILE * | fp )

Definition at line 256 of file cube_io.c.

References struct_copy().

Referenced by read_cube().

## new_dspf()

int new_dspf | ( | file_info * | hfax | ) |

Definition at line 284 of file cube_io.c.

References file_info::Dataoff, and file_info::dspfinfp.

## print_head_info()

int print_head_info | ( | file_info * | head | ) |

Definition at line 3 of file print_info.c.

References file_info::bottom, file_info::east, file_info::ew_res, file_info::max, file_info::min, file_info::north, file_info::ns_res, file_info::south, file_info::tb_res, file_info::top, file_info::west, file_info::xdim, file_info::ydim, and file_info::zdim.

Referenced by dfread_header(), and dfread_header_old().

## read_cube()

int read_cube | ( | Cube_data * | Cube,
|  | file_info * | headfax )

Definition at line 136 of file cube_io.c.

References Cube_data::data, file_info::dspfinfp, G_ftell(), file_info::linefax, cmndln_info::litmodel, my_fread(), poly_info::n1, poly_info::n2, poly_info::n3, Cube_data::n_thresh, cube_info::npoly, NULL, cube_info::poly, cube_info::t_ndx, poly_info::v1, poly_info::v2, and poly_info::v3.

## reset_reads()

int reset_reads | ( | file_info * | headfax | ) |

Definition at line 274 of file cube_io.c.

References file_info::Dataoff, and file_info::dspfinfp.

## struct_copy()

int struct_copy | ( | char * | To,
|  | char * | From,
|  | int | size )

Definition at line 1 of file struct_copy.c.

Referenced by my_fread().

## write_cube()

int write_cube | ( | Cube_data * | Cube,
|  | int | cur_x,
|  | file_info * | headfax )

Definition at line 25 of file cube_io.c.

References cur_x, Cube_data::data, file_info::linefax, cmndln_info::litmodel, poly_info::n1, poly_info::n2, poly_info::n3, Cube_data::n_thresh, cube_info::npoly, cube_info::poly, cube_info::t_ndx, poly_info::v1, poly_info::v2, poly_info::v3, and write_cube_buffer().

## write_cube_buffer()

int write_cube_buffer | ( | unsigned char * | Buffer,
|  | int | size,
|  | int | cur_x,
|  | file_info * | headfax )

Definition at line 95 of file cube_io.c.

References cur_x, file_info::dspfoutfp, and file_info::xdim.

Referenced by write_cube().

## Variable Documentation

## cell_table

CELL_ENTRY cell_table[]

extern

Definition at line 3 of file cell_table.c.

Referenced by gvld_isosurf(), iso_calc_cube(), and mc33_test_interior().